Index: c/src/lib/libbsp/m68k/genmcf548x/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/genmcf548x/ChangeLog	(revision a90576b64481ed4af7ec16cf433bc46b19a36f6d)
+++ c/src/lib/libbsp/m68k/genmcf548x/ChangeLog	(revision 989938f1b26daba391d0d71ca824e0c386465217)
@@ -1,2 +1,6 @@
+2010-08-03	Joel Sherrill <joel.sherrilL@OARcorp.com>
+
+	* console/console.c: Add BSP_poll_char.
+
 2010-03-26      Thomas Doerfler <Thomas.Doerfler@embedded-brains.de>
 
Index: c/src/lib/libbsp/m68k/genmcf548x/console/console.c
===================================================================
--- c/src/lib/libbsp/m68k/genmcf548x/console/console.c	(revision a90576b64481ed4af7ec16cf433bc46b19a36f6d)
+++ c/src/lib/libbsp/m68k/genmcf548x/console/console.c	(revision 989938f1b26daba391d0d71ca824e0c386465217)
@@ -87,9 +87,9 @@
 	rtems_interrupt_enable(level);
 }
-BSP_output_char_function_type BSP_output_char = _BSP_null_char;
+BSP_output_char_function_type     BSP_output_char = _BSP_null_char;
+BSP_polling_getchar_function_type BSP_poll_char = NULL;
 
 #define MAX_UART_INFO     4
 #define RX_BUFFER_SIZE    248
-
 
 struct IntUartInfoStruct
Index: c/src/lib/libbsp/m68k/mcf5235/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mcf5235/ChangeLog	(revision a90576b64481ed4af7ec16cf433bc46b19a36f6d)
+++ c/src/lib/libbsp/m68k/mcf5235/ChangeLog	(revision 989938f1b26daba391d0d71ca824e0c386465217)
@@ -1,2 +1,6 @@
+2010-08-03	Joel Sherrill <joel.sherrilL@OARcorp.com>
+
+	* console/console.c: Add BSP_poll_char.
+
 2010-04-28	Joel Sherrill <joel.sherrilL@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/mcf5235/console/console.c
===================================================================
--- c/src/lib/libbsp/m68k/mcf5235/console/console.c	(revision a90576b64481ed4af7ec16cf433bc46b19a36f6d)
+++ c/src/lib/libbsp/m68k/mcf5235/console/console.c	(revision 989938f1b26daba391d0d71ca824e0c386465217)
@@ -41,5 +41,6 @@
 	rtems_interrupt_enable(level);
 }
-BSP_output_char_function_type BSP_output_char = _BSP_null_char;
+BSP_output_char_function_type     BSP_output_char = _BSP_null_char;
+BSP_polling_getchar_function_type BSP_poll_char = NULL;
 
 #define MAX_UART_INFO     3
Index: c/src/lib/libbsp/m68k/mcf5329/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mcf5329/ChangeLog	(revision a90576b64481ed4af7ec16cf433bc46b19a36f6d)
+++ c/src/lib/libbsp/m68k/mcf5329/ChangeLog	(revision 989938f1b26daba391d0d71ca824e0c386465217)
@@ -1,2 +1,6 @@
+2010-08-03	Joel Sherrill <joel.sherrilL@OARcorp.com>
+
+	* console/console.c: Add BSP_poll_char.
+
 2010-04-13	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/m68k/mcf5329/console/console.c
===================================================================
--- c/src/lib/libbsp/m68k/mcf5329/console/console.c	(revision a90576b64481ed4af7ec16cf433bc46b19a36f6d)
+++ c/src/lib/libbsp/m68k/mcf5329/console/console.c	(revision 989938f1b26daba391d0d71ca824e0c386465217)
@@ -41,5 +41,6 @@
 }
 
-BSP_output_char_function_type BSP_output_char = _BSP_null_char;
+BSP_output_char_function_type     BSP_output_char = _BSP_null_char;
+BSP_polling_getchar_function_type BSP_poll_char = NULL;
 
 #define MAX_UART_INFO     3
Index: c/src/lib/libbsp/m68k/mvme167/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/ChangeLog	(revision a90576b64481ed4af7ec16cf433bc46b19a36f6d)
+++ c/src/lib/libbsp/m68k/mvme167/ChangeLog	(revision 989938f1b26daba391d0d71ca824e0c386465217)
@@ -1,2 +1,6 @@
+2010-08-03	Joel Sherrill <joel.sherrilL@OARcorp.com>
+
+	* console/console.c: Add BSP_poll_char.
+
 2010-04-28	Joel Sherrill <joel.sherrilL@OARcorp.com>
 
Index: c/src/lib/libbsp/m68k/mvme167/console/console.c
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/console/console.c	(revision a90576b64481ed4af7ec16cf433bc46b19a36f6d)
+++ c/src/lib/libbsp/m68k/mvme167/console/console.c	(revision 989938f1b26daba391d0d71ca824e0c386465217)
@@ -161,5 +161,6 @@
 /* Printk function */
 static void _BSP_output_char( char c );
-BSP_output_char_function_type BSP_output_char = _BSP_output_char;
+BSP_output_char_function_type     BSP_output_char = _BSP_output_char;
+BSP_polling_getchar_function_type BSP_poll_char = NULL;
 
 /* '\r' character in memory. This used to live on
Index: c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog	(revision a90576b64481ed4af7ec16cf433bc46b19a36f6d)
+++ c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog	(revision 989938f1b26daba391d0d71ca824e0c386465217)
@@ -1,2 +1,6 @@
+2010-08-03	Joel Sherrill <joel.sherrilL@OARcorp.com>
+
+	* console/console.c: Add BSP_poll_char.
+
 2010-06-29	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/mbx8xx/console/console.c
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/console/console.c	(revision a90576b64481ed4af7ec16cf433bc46b19a36f6d)
+++ c/src/lib/libbsp/powerpc/mbx8xx/console/console.c	(revision 989938f1b26daba391d0d71ca824e0c386465217)
@@ -92,5 +92,6 @@
 static void serial_putchar(const char c);
 
-BSP_output_char_function_type BSP_output_char = _BSP_null_char;
+BSP_output_char_function_type     BSP_output_char = _BSP_null_char;
+BSP_polling_getchar_function_type BSP_poll_char = NULL;
 
 extern volatile m8xx_t m8xx;
Index: c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog	(revision a90576b64481ed4af7ec16cf433bc46b19a36f6d)
+++ c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog	(revision 989938f1b26daba391d0d71ca824e0c386465217)
@@ -1,2 +1,6 @@
+2010-08-03	Joel Sherrill <joel.sherrilL@OARcorp.com>
+
+	* console/console.c: Add BSP_poll_char.
+
 2010-06-29	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/mpc8260ads/console/console.c
===================================================================
--- c/src/lib/libbsp/powerpc/mpc8260ads/console/console.c	(revision a90576b64481ed4af7ec16cf433bc46b19a36f6d)
+++ c/src/lib/libbsp/powerpc/mpc8260ads/console/console.c	(revision 989938f1b26daba391d0d71ca824e0c386465217)
@@ -99,5 +99,6 @@
 static rtems_status_code do_poll_write( rtems_device_major_number major, rtems_device_minor_number minor, void * arg);
 
-BSP_output_char_function_type BSP_output_char = _BSP_output_char;
+BSP_output_char_function_type     BSP_output_char = _BSP_output_char;
+BSP_polling_getchar_function_type BSP_poll_char = NULL;
 
 /*
Index: c/src/lib/libbsp/powerpc/ss555/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/ss555/ChangeLog	(revision a90576b64481ed4af7ec16cf433bc46b19a36f6d)
+++ c/src/lib/libbsp/powerpc/ss555/ChangeLog	(revision 989938f1b26daba391d0d71ca824e0c386465217)
@@ -1,2 +1,6 @@
+2010-08-03	Joel Sherrill <joel.sherrilL@OARcorp.com>
+
+	* console/console.c: Add BSP_poll_char.
+
 2010-06-29	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/ss555/console/console.c
===================================================================
--- c/src/lib/libbsp/powerpc/ss555/console/console.c	(revision a90576b64481ed4af7ec16cf433bc46b19a36f6d)
+++ c/src/lib/libbsp/powerpc/ss555/console/console.c	(revision 989938f1b26daba391d0d71ca824e0c386465217)
@@ -83,5 +83,6 @@
 static void _BSP_null_char( char c ) {return;}
 
-BSP_output_char_function_type BSP_output_char = _BSP_null_char;
+BSP_output_char_function_type     BSP_output_char = _BSP_null_char;
+BSP_polling_getchar_function_type BSP_poll_char = NULL;
 
 /*
Index: c/src/lib/libbsp/powerpc/tqm8xx/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/tqm8xx/ChangeLog	(revision a90576b64481ed4af7ec16cf433bc46b19a36f6d)
+++ c/src/lib/libbsp/powerpc/tqm8xx/ChangeLog	(revision 989938f1b26daba391d0d71ca824e0c386465217)
@@ -1,2 +1,6 @@
+2010-08-03	Joel Sherrill <joel.sherrilL@OARcorp.com>
+
+	* console/console.c: Add BSP_poll_char.
+
 2010-06-29	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/tqm8xx/console/console.c
===================================================================
--- c/src/lib/libbsp/powerpc/tqm8xx/console/console.c	(revision a90576b64481ed4af7ec16cf433bc46b19a36f6d)
+++ c/src/lib/libbsp/powerpc/tqm8xx/console/console.c	(revision 989938f1b26daba391d0d71ca824e0c386465217)
@@ -857,5 +857,6 @@
 }
 
-BSP_output_char_function_type BSP_output_char = console_debug_putc_onlcr;
+BSP_output_char_function_type     BSP_output_char = console_debug_putc_onlcr;
+BSP_polling_getchar_function_type BSP_poll_char = NULL;
 
 