Index: c/src/lib/libbsp/no_cpu/no_bsp/ChangeLog
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/ChangeLog	(revision 3d15b932f494ba78a9f855b817fad155a17fbb82)
+++ c/src/lib/libbsp/no_cpu/no_bsp/ChangeLog	(revision 1442144d829384de7fe1dec0da484b1a83fa1a08)
@@ -1,2 +1,16 @@
+2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.ac:
+	AC_INIT(package,_RTEMS_VERSION,_RTEMS_BUGS).
+	AM_INIT_AUTOMAKE([no-define foreign 1.6]).
+	* clock/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* console/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* include/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* shmsupp/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* startup/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* timer/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* wrapup/Makefile.am: Remove AUTOMAKE_OPTIONS.
+
 2001-11-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/no_cpu/no_bsp/Makefile.am
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/Makefile.am	(revision 3d15b932f494ba78a9f855b817fad155a17fbb82)
+++ c/src/lib/libbsp/no_cpu/no_bsp/Makefile.am	(revision 1442144d829384de7fe1dec0da484b1a83fa1a08)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 ACLOCAL_AMFLAGS = -I ../../../../../../aclocal
 
Index: c/src/lib/libbsp/no_cpu/no_bsp/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/clock/Makefile.am	(revision 3d15b932f494ba78a9f855b817fad155a17fbb82)
+++ c/src/lib/libbsp/no_cpu/no_bsp/clock/Makefile.am	(revision 1442144d829384de7fe1dec0da484b1a83fa1a08)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = $(ARCH)/clock.rel
Index: c/src/lib/libbsp/no_cpu/no_bsp/configure.ac
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/configure.ac	(revision 3d15b932f494ba78a9f855b817fad155a17fbb82)
+++ c/src/lib/libbsp/no_cpu/no_bsp/configure.ac	(revision 1442144d829384de7fe1dec0da484b1a83fa1a08)
@@ -4,5 +4,5 @@
 
 AC_PREREQ(2.52)
-AC_INIT
+AC_INIT([rtems-c-src-lib-libbsp-no_cpu-no_bsp],[_RTEMS_VERSION],[rtems-bugs@OARcorp.com])
 AC_CONFIG_SRCDIR([bsp_specs])
 RTEMS_TOP(../../../../../..)
@@ -10,5 +10,5 @@
 
 RTEMS_CANONICAL_TARGET_CPU
-AM_INIT_AUTOMAKE(rtems-c-src-lib-libbsp-no_cpu-no_bsp,$RTEMS_VERSION,no)
+AM_INIT_AUTOMAKE([no-define foreign 1.6])
 RTEMS_BSP_CONFIGURE
 
Index: c/src/lib/libbsp/no_cpu/no_bsp/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/console/Makefile.am	(revision 3d15b932f494ba78a9f855b817fad155a17fbb82)
+++ c/src/lib/libbsp/no_cpu/no_bsp/console/Makefile.am	(revision 1442144d829384de7fe1dec0da484b1a83fa1a08)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = $(ARCH)/console.rel
Index: c/src/lib/libbsp/no_cpu/no_bsp/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/include/Makefile.am	(revision 3d15b932f494ba78a9f855b817fad155a17fbb82)
+++ c/src/lib/libbsp/no_cpu/no_bsp/include/Makefile.am	(revision 1442144d829384de7fe1dec0da484b1a83fa1a08)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 include_HEADERS = bsp.h coverhd.h bspopts.h
Index: c/src/lib/libbsp/no_cpu/no_bsp/shmsupp/Makefile.am
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/shmsupp/Makefile.am	(revision 3d15b932f494ba78a9f855b817fad155a17fbb82)
+++ c/src/lib/libbsp/no_cpu/no_bsp/shmsupp/Makefile.am	(revision 1442144d829384de7fe1dec0da484b1a83fa1a08)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = $(ARCH)/shmsupp.rel
Index: c/src/lib/libbsp/no_cpu/no_bsp/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/startup/Makefile.am	(revision 3d15b932f494ba78a9f855b817fad155a17fbb82)
+++ c/src/lib/libbsp/no_cpu/no_bsp/startup/Makefile.am	(revision 1442144d829384de7fe1dec0da484b1a83fa1a08)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 VPATH = @srcdir@:@srcdir@/../../../shared
Index: c/src/lib/libbsp/no_cpu/no_bsp/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/timer/Makefile.am	(revision 3d15b932f494ba78a9f855b817fad155a17fbb82)
+++ c/src/lib/libbsp/no_cpu/no_bsp/timer/Makefile.am	(revision 1442144d829384de7fe1dec0da484b1a83fa1a08)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = $(ARCH)/timer.rel
Index: c/src/lib/libbsp/no_cpu/no_bsp/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/wrapup/Makefile.am	(revision 3d15b932f494ba78a9f855b817fad155a17fbb82)
+++ c/src/lib/libbsp/no_cpu/no_bsp/wrapup/Makefile.am	(revision 1442144d829384de7fe1dec0da484b1a83fa1a08)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 if HAS_MP
Index: c/src/lib/libbsp/unix/posix/ChangeLog
===================================================================
--- c/src/lib/libbsp/unix/posix/ChangeLog	(revision 3d15b932f494ba78a9f855b817fad155a17fbb82)
+++ c/src/lib/libbsp/unix/posix/ChangeLog	(revision 1442144d829384de7fe1dec0da484b1a83fa1a08)
@@ -1,2 +1,16 @@
+2002-03-27	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* configure.ac:
+	AC_INIT(package,_RTEMS_VERSION,_RTEMS_BUGS).
+	AM_INIT_AUTOMAKE([no-define foreign 1.6]).
+	* clock/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* console/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* include/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* shmsupp/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* startup/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* timer/Makefile.am: Remove AUTOMAKE_OPTIONS.
+	* wrapup/Makefile.am: Remove AUTOMAKE_OPTIONS.
+
 2001-11-30	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
 
Index: c/src/lib/libbsp/unix/posix/Makefile.am
===================================================================
--- c/src/lib/libbsp/unix/posix/Makefile.am	(revision 3d15b932f494ba78a9f855b817fad155a17fbb82)
+++ c/src/lib/libbsp/unix/posix/Makefile.am	(revision 1442144d829384de7fe1dec0da484b1a83fa1a08)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 ACLOCAL_AMFLAGS = -I ../../../../../../aclocal
 
Index: c/src/lib/libbsp/unix/posix/clock/Makefile.am
===================================================================
--- c/src/lib/libbsp/unix/posix/clock/Makefile.am	(revision 3d15b932f494ba78a9f855b817fad155a17fbb82)
+++ c/src/lib/libbsp/unix/posix/clock/Makefile.am	(revision 1442144d829384de7fe1dec0da484b1a83fa1a08)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = $(ARCH)/clock.rel
Index: c/src/lib/libbsp/unix/posix/configure.ac
===================================================================
--- c/src/lib/libbsp/unix/posix/configure.ac	(revision 3d15b932f494ba78a9f855b817fad155a17fbb82)
+++ c/src/lib/libbsp/unix/posix/configure.ac	(revision 1442144d829384de7fe1dec0da484b1a83fa1a08)
@@ -4,5 +4,5 @@
 
 AC_PREREQ(2.52)
-AC_INIT
+AC_INIT([rtems-c-src-lib-libbsp-unix-posix],[_RTEMS_VERSION],[rtems-bugs@OARcorp.com])
 AC_CONFIG_SRCDIR([bsp_specs])
 RTEMS_TOP(../../../../../..)
@@ -10,5 +10,5 @@
 
 RTEMS_CANONICAL_TARGET_CPU
-AM_INIT_AUTOMAKE(rtems-c-src-lib-libbsp-unix-posix,$RTEMS_VERSION,no)
+AM_INIT_AUTOMAKE([no-define foreign 1.6])
 RTEMS_BSP_CONFIGURE
 
Index: c/src/lib/libbsp/unix/posix/console/Makefile.am
===================================================================
--- c/src/lib/libbsp/unix/posix/console/Makefile.am	(revision 3d15b932f494ba78a9f855b817fad155a17fbb82)
+++ c/src/lib/libbsp/unix/posix/console/Makefile.am	(revision 1442144d829384de7fe1dec0da484b1a83fa1a08)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = $(ARCH)/console.rel
Index: c/src/lib/libbsp/unix/posix/include/Makefile.am
===================================================================
--- c/src/lib/libbsp/unix/posix/include/Makefile.am	(revision 3d15b932f494ba78a9f855b817fad155a17fbb82)
+++ c/src/lib/libbsp/unix/posix/include/Makefile.am	(revision 1442144d829384de7fe1dec0da484b1a83fa1a08)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 include_HEADERS = bsp.h bspopts.h coverhd.h
Index: c/src/lib/libbsp/unix/posix/shmsupp/Makefile.am
===================================================================
--- c/src/lib/libbsp/unix/posix/shmsupp/Makefile.am	(revision 3d15b932f494ba78a9f855b817fad155a17fbb82)
+++ c/src/lib/libbsp/unix/posix/shmsupp/Makefile.am	(revision 1442144d829384de7fe1dec0da484b1a83fa1a08)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = $(ARCH)/shmsupp.rel
Index: c/src/lib/libbsp/unix/posix/startup/Makefile.am
===================================================================
--- c/src/lib/libbsp/unix/posix/startup/Makefile.am	(revision 3d15b932f494ba78a9f855b817fad155a17fbb82)
+++ c/src/lib/libbsp/unix/posix/startup/Makefile.am	(revision 1442144d829384de7fe1dec0da484b1a83fa1a08)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 VPATH = @srcdir@:@srcdir@/../../../shared
Index: c/src/lib/libbsp/unix/posix/timer/Makefile.am
===================================================================
--- c/src/lib/libbsp/unix/posix/timer/Makefile.am	(revision 3d15b932f494ba78a9f855b817fad155a17fbb82)
+++ c/src/lib/libbsp/unix/posix/timer/Makefile.am	(revision 1442144d829384de7fe1dec0da484b1a83fa1a08)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 PGM = $(ARCH)/timer.rel
Index: c/src/lib/libbsp/unix/posix/wrapup/Makefile.am
===================================================================
--- c/src/lib/libbsp/unix/posix/wrapup/Makefile.am	(revision 3d15b932f494ba78a9f855b817fad155a17fbb82)
+++ c/src/lib/libbsp/unix/posix/wrapup/Makefile.am	(revision 1442144d829384de7fe1dec0da484b1a83fa1a08)
@@ -3,5 +3,4 @@
 ##
 
-AUTOMAKE_OPTIONS = foreign 1.4
 
 include $(RTEMS_ROOT)/make/custom/@RTEMS_BSP@.cfg