Index: c/src/lib/libbsp/sh/gensh1/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/gensh1/ChangeLog	(revision a1546de742cb1e4d6a88bebe7ede32c22d4cafc5)
+++ c/src/lib/libbsp/sh/gensh1/ChangeLog	(revision 3299388d88e5042f7da8a56b1ad9257dc46084e1)
@@ -1,2 +1,6 @@
+2003-09-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* bsp_specs: Remove *lib:.
+
 2003-09-04	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/sh/gensh1/bsp_specs
===================================================================
--- c/src/lib/libbsp/sh/gensh1/bsp_specs	(revision a1546de742cb1e4d6a88bebe7ede32c22d4cafc5)
+++ c/src/lib/libbsp/sh/gensh1/bsp_specs	(revision 3299388d88e5042f7da8a56b1ad9257dc46084e1)
@@ -1,13 +1,5 @@
-%rename lib old_lib
 %rename endfile old_endfile
 %rename startfile old_startfile
 %rename link old_link
-
-
-*lib:
-%{!qrtems: %(old_lib)} \
-%{!nostdlib: %{qrtems: --start-group %{!qrtems_debug: -lrtemsbsp -lrtemscpu } %{qrtems_debug: -lrtemsbsp_g -lrtemscpu_g} \
- -lc -lgcc --end-group \
- %{!qnolinkcmds: -T linkcmds%s}}}
 
 *startfile:
Index: c/src/lib/libbsp/sh/gensh2/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/gensh2/ChangeLog	(revision a1546de742cb1e4d6a88bebe7ede32c22d4cafc5)
+++ c/src/lib/libbsp/sh/gensh2/ChangeLog	(revision 3299388d88e5042f7da8a56b1ad9257dc46084e1)
@@ -1,2 +1,6 @@
+2003-09-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* bsp_specs: Remove *lib:.
+
 2003-09-04	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/sh/gensh2/bsp_specs
===================================================================
--- c/src/lib/libbsp/sh/gensh2/bsp_specs	(revision a1546de742cb1e4d6a88bebe7ede32c22d4cafc5)
+++ c/src/lib/libbsp/sh/gensh2/bsp_specs	(revision 3299388d88e5042f7da8a56b1ad9257dc46084e1)
@@ -1,13 +1,5 @@
-%rename lib old_lib
 %rename endfile old_endfile
 %rename startfile old_startfile
 %rename link old_link
-
-
-*lib:
-%{!qrtems: %(old_lib)} \
-%{!nostdlib: %{qrtems: --start-group %{!qrtems_debug: -lrtemsbsp -lrtemscpu } %{qrtems_debug: -lrtemsbsp_g -lrtemscpu_g} \
- -lc -lgcc --end-group \
- %{!qnolinkcmds: -T linkcmds%s}}}
 
 *startfile:
Index: c/src/lib/libbsp/sh/gensh4/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/gensh4/ChangeLog	(revision a1546de742cb1e4d6a88bebe7ede32c22d4cafc5)
+++ c/src/lib/libbsp/sh/gensh4/ChangeLog	(revision 3299388d88e5042f7da8a56b1ad9257dc46084e1)
@@ -1,2 +1,6 @@
+2003-09-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* bsp_specs: Remove *lib:.
+
 2003-09-04	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/sh/gensh4/bsp_specs
===================================================================
--- c/src/lib/libbsp/sh/gensh4/bsp_specs	(revision a1546de742cb1e4d6a88bebe7ede32c22d4cafc5)
+++ c/src/lib/libbsp/sh/gensh4/bsp_specs	(revision 3299388d88e5042f7da8a56b1ad9257dc46084e1)
@@ -1,13 +1,5 @@
-%rename lib old_lib
 %rename endfile old_endfile
 %rename startfile old_startfile
 %rename link old_link
-
-
-*lib:
-%{!qrtems: %(old_lib)} \
-%{!nostdlib: %{qrtems: --start-group %{!qrtems_debug: -lrtemsbsp -lrtemscpu } %{qrtems_debug: -lrtemsbsp_g -lrtemscpu_g} \
- -lc -lgcc --end-group \
- %{!qnolinkcmds: -T linkcmds%s}}}
 
 *startfile:
Index: c/src/lib/libbsp/sh/shsim/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/shsim/ChangeLog	(revision a1546de742cb1e4d6a88bebe7ede32c22d4cafc5)
+++ c/src/lib/libbsp/sh/shsim/ChangeLog	(revision 3299388d88e5042f7da8a56b1ad9257dc46084e1)
@@ -1,2 +1,6 @@
+2003-09-19	Ralf Corsepius <corsepiu@faw.uni-ulm.de>
+
+	* bsp_specs: Remove *lib:.
+
 2003-09-04	Joel Sherrill <joel@OARcorp.com>
 
Index: c/src/lib/libbsp/sh/shsim/bsp_specs
===================================================================
--- c/src/lib/libbsp/sh/shsim/bsp_specs	(revision a1546de742cb1e4d6a88bebe7ede32c22d4cafc5)
+++ c/src/lib/libbsp/sh/shsim/bsp_specs	(revision 3299388d88e5042f7da8a56b1ad9257dc46084e1)
@@ -1,13 +1,5 @@
-%rename lib old_lib
 %rename endfile old_endfile
 %rename startfile old_startfile
 %rename link old_link
-
-
-*lib:
-%{!qrtems: %(old_lib)} \
-%{!nostdlib: %{qrtems: --start-group %{!qrtems_debug: -lrtemsbsp -lrtemscpu } %{qrtems_debug: -lrtemsbsp_g -lrtemscpu_g} \
- -lc -lgcc --end-group \
- %{!qnolinkcmds: -T linkcmds%s}}}
 
 *startfile: