Index: testsuites/samples/capture/init.c
===================================================================
--- testsuites/samples/capture/init.c	(revision 1461b648b7fc53b903c07da49df1bf24d96e8dca)
+++ testsuites/samples/capture/init.c	(revision 3324383ce03f3d70a652f99291209e768d89c691)
@@ -25,7 +25,5 @@
 /* forward declarations to avoid warnings */
 rtems_task Init(rtems_task_argument argument);
-#if !BSP_SMALL_MEMORY
-  static void notification(int fd, int seconds_remaining, void *arg);
-#endif
+static void notification(int fd, int seconds_remaining, void *arg);
 
 const char rtems_test_name[] = "CAPTURE ENGINE";
@@ -33,5 +31,4 @@
 volatile int can_proceed = 1;
 
-#if !BSP_SMALL_MEMORY
 static void notification(int fd, int seconds_remaining, void *arg)
 {
@@ -41,5 +38,4 @@
   );
 }
-#endif
 
 rtems_task Init(
@@ -47,7 +43,4 @@
 )
 {
-#if BSP_SMALL_MEMORY
-  printf("NO Capture Engine. MEMORY TOO SMALL");
-#else
   rtems_status_code   status;
   rtems_task_priority old_priority;
@@ -85,4 +78,3 @@
     exit( 0 );
   }
-#endif
 }
Index: testsuites/samples/capture/test1.c
===================================================================
--- testsuites/samples/capture/test1.c	(revision 1461b648b7fc53b903c07da49df1bf24d96e8dca)
+++ testsuites/samples/capture/test1.c	(revision 3324383ce03f3d70a652f99291209e768d89c691)
@@ -27,5 +27,4 @@
 #include <rtems/monitor.h>
 
-#if !BSP_SMALL_MEMORY
 static volatile int capture_CT1a_deleted;
 static volatile int capture_CT1b_deleted;
@@ -272,3 +271,2 @@
       rtems_monitor_insert_cmd (&capture_cmds[cmd]);
 }
-#endif /* BSP_SMALL_MEMORY */
Index: testsuites/samples/fileio/system.h
===================================================================
--- testsuites/samples/fileio/system.h	(revision 1461b648b7fc53b903c07da49df1bf24d96e8dca)
+++ testsuites/samples/fileio/system.h	(revision 3324383ce03f3d70a652f99291209e768d89c691)
@@ -30,9 +30,6 @@
 
 #define FILEIO_BUILD 1
-#if BSP_SMALL_MEMORY
-#undef FILEIO_BUILD
-#endif
 
-#if defined(RTEMS_BSP_HAS_IDE_DRIVER) && !BSP_SMALL_MEMORY
+#if defined(RTEMS_BSP_HAS_IDE_DRIVER)
 #include <libchip/ata.h> /* for ata driver prototype */
 #include <libchip/ide_ctrl.h> /* for general ide driver prototype */
Index: testsuites/samples/iostream/init.cc
===================================================================
--- testsuites/samples/iostream/init.cc	(revision 1461b648b7fc53b903c07da49df1bf24d96e8dca)
+++ testsuites/samples/iostream/init.cc	(revision 3324383ce03f3d70a652f99291209e768d89c691)
@@ -22,9 +22,5 @@
 #include "system.h"
 
-#if BSP_SMALL_MEMORY
-#include <stdio.h>
-#else
 #include <iostream>
-#endif
 
 #include <stdlib.h>
@@ -36,12 +32,8 @@
 )
 {
-#if BSP_SMALL_MEMORY
-  printf ("NO STDC++. MEMORY TOO SMALL");
-#else
   std::cout << std::endl << std::endl
     << "*** BEGIN OF " << rtems_test_name << " TEST ***" << std::endl;
   std::cout << "Hello World" << std::endl;
   std::cout << "*** END OF " << rtems_test_name << " TEST ***" << std::endl;
-#endif
   exit( 0 );
 }
Index: testsuites/samples/loopback/init.c
===================================================================
--- testsuites/samples/loopback/init.c	(revision 1461b648b7fc53b903c07da49df1bf24d96e8dca)
+++ testsuites/samples/loopback/init.c	(revision 3324383ce03f3d70a652f99291209e768d89c691)
@@ -41,6 +41,4 @@
 
 #include <rtems/confdefs.h>
-
-#if !BSP_SMALL_MEMORY
 
 #include <rtems/rtems_bsdnet.h>
@@ -287,13 +285,2 @@
     exit( 0 );
 }
-#else
-#include <stdio.h>
-/*
- * RTEMS Startup Task
- */
-rtems_task
-Init (rtems_task_argument ignored)
-{
-  printf("NO NETWORKING. MEMORY TOO SMALL");
-}
-#endif
Index: testsuites/samples/paranoia/init.c
===================================================================
--- testsuites/samples/paranoia/init.c	(revision 1461b648b7fc53b903c07da49df1bf24d96e8dca)
+++ testsuites/samples/paranoia/init.c	(revision 3324383ce03f3d70a652f99291209e768d89c691)
@@ -32,8 +32,4 @@
    */
 
-#if BSP_SMALL_MEMORY
-  printf("NO Paranoia Test. MEMORY TOO SMALL");
-#else
-
 #if (defined (m68040))
   M68KFPSPInstallExceptionHandlers ();
@@ -43,5 +39,4 @@
   paranoia(1, args);
   rtems_test_end();
-#endif /* BSP_SMALL_MEMORY */
   exit( 0 );
 }
Index: testsuites/samples/paranoia/paranoia.c
===================================================================
--- testsuites/samples/paranoia/paranoia.c	(revision 1461b648b7fc53b903c07da49df1bf24d96e8dca)
+++ testsuites/samples/paranoia/paranoia.c	(revision 3324383ce03f3d70a652f99291209e768d89c691)
@@ -4,5 +4,4 @@
 
 #include <bsp.h>
-#if !BSP_SMALL_MEMORY
 /*
  *      A C version of Kahan's Floating Point Test "Paranoia"
@@ -2309,3 +2308,2 @@
     msglist (hist);
 }
-#endif /* BSP_SMALL_MEMORY */
Index: testsuites/samples/pppd/init.c
===================================================================
--- testsuites/samples/pppd/init.c	(revision 1461b648b7fc53b903c07da49df1bf24d96e8dca)
+++ testsuites/samples/pppd/init.c	(revision 3324383ce03f3d70a652f99291209e768d89c691)
@@ -19,9 +19,7 @@
 #include "system.h"
 
-#if !BSP_SMALL_MEMORY
 #include <rtems/rtems_bsdnet.h>
 #include <rtems/rtemspppd.h>
 #include "netconfig.h"
-#endif
 
 const char rtems_test_name[] = "PPPD";
@@ -29,7 +27,4 @@
 rtems_task Init(rtems_task_argument argument)
 {
-#if BSP_SMALL_MEMORY
-  printf("NO NETWORKING. MEMORY TOO SMALL");
-#else
   rtems_test_begin();
 
@@ -38,5 +33,4 @@
   rtems_pppd_initialize();
   pppdapp_initialize();
-#endif
   rtems_task_delete(RTEMS_SELF);
 }
Index: testsuites/samples/pppd/pppdapp.c
===================================================================
--- testsuites/samples/pppd/pppdapp.c	(revision 1461b648b7fc53b903c07da49df1bf24d96e8dca)
+++ testsuites/samples/pppd/pppdapp.c	(revision 3324383ce03f3d70a652f99291209e768d89c691)
@@ -5,6 +5,4 @@
 
 #include <bsp.h>
-
-#if !BSP_SMALL_MEMORY
 
 #include <stdio.h>
@@ -153,4 +151,2 @@
   return ( iReturn );
 }
-
-#endif