Index: doc/ada_user/Makefile
===================================================================
--- doc/ada_user/Makefile	(revision 3b50aaf2aa6dcb15591829665d68fbdb20c20543)
+++ doc/ada_user/Makefile	(revision 3754660c97aa79ac7cde2f11e1f5c41e87224983)
@@ -7,7 +7,8 @@
 #
 
+PROJECT=ada_user
+DISTRIBUTION_LEVEL=internal
+
 include ../Make.config
-
-PROJECT=ada_user
 
 all:  
Index: doc/develenv/Makefile
===================================================================
--- doc/develenv/Makefile	(revision 3b50aaf2aa6dcb15591829665d68fbdb20c20543)
+++ doc/develenv/Makefile	(revision 3754660c97aa79ac7cde2f11e1f5c41e87224983)
@@ -7,7 +7,8 @@
 #
 
+PROJECT=develenv
+DISTRIBUTION_LEVEL=public
+
 include ../Make.config
-
-PROJECT=develenv
 
 all:  
Index: doc/new_chapters/Makefile
===================================================================
--- doc/new_chapters/Makefile	(revision 3b50aaf2aa6dcb15591829665d68fbdb20c20543)
+++ doc/new_chapters/Makefile	(revision 3754660c97aa79ac7cde2f11e1f5c41e87224983)
@@ -7,7 +7,8 @@
 #
 
+PROJECT=posix_users
+DISTRIBUTION_LEVEL=public
+
 include ../Make.config
-
-PROJECT=posix_users
 
 all:  
Index: doc/posix1003.1/Makefile
===================================================================
--- doc/posix1003.1/Makefile	(revision 3b50aaf2aa6dcb15591829665d68fbdb20c20543)
+++ doc/posix1003.1/Makefile	(revision 3754660c97aa79ac7cde2f11e1f5c41e87224983)
@@ -7,7 +7,8 @@
 #
 
+PROJECT=posix1003_1
+DISTRIBUTION_LEVEL=partners
+
 include ../Make.config
-
-PROJECT=posix1003_1
 
 all:  
Index: doc/posix_users/Makefile
===================================================================
--- doc/posix_users/Makefile	(revision 3b50aaf2aa6dcb15591829665d68fbdb20c20543)
+++ doc/posix_users/Makefile	(revision 3754660c97aa79ac7cde2f11e1f5c41e87224983)
@@ -7,7 +7,8 @@
 #
 
+PROJECT=posix_users
+DISTRIBUTION_LEVEL=public
+
 include ../Make.config
-
-PROJECT=posix_users
 
 all:  
Index: doc/relnotes/Makefile
===================================================================
--- doc/relnotes/Makefile	(revision 3b50aaf2aa6dcb15591829665d68fbdb20c20543)
+++ doc/relnotes/Makefile	(revision 3754660c97aa79ac7cde2f11e1f5c41e87224983)
@@ -7,7 +7,8 @@
 #
 
+PROJECT=relnotes
+DISTRIBUTION_LEVEL=internal
+
 include ../Make.config
-
-PROJECT=relnotes
 
 all:  
Index: doc/supplements/hppa1_1/Makefile
===================================================================
--- doc/supplements/hppa1_1/Makefile	(revision 3b50aaf2aa6dcb15591829665d68fbdb20c20543)
+++ doc/supplements/hppa1_1/Makefile	(revision 3754660c97aa79ac7cde2f11e1f5c41e87224983)
@@ -7,7 +7,9 @@
 #
 
+PROJECT=hppa1_1
+DISTRIBUTION_LEVEL=support
+
 include ../Make.config
 
-PROJECT=hppa1_1
 REPLACE=../tools/word-replace
 
Index: doc/supplements/i386/Makefile
===================================================================
--- doc/supplements/i386/Makefile	(revision 3b50aaf2aa6dcb15591829665d68fbdb20c20543)
+++ doc/supplements/i386/Makefile	(revision 3754660c97aa79ac7cde2f11e1f5c41e87224983)
@@ -7,7 +7,9 @@
 #
 
+PROJECT=i386
+DISTRIBUTION_LEVEL=support
+
 include ../Make.config
 
-PROJECT=i386
 REPLACE=../tools/word-replace
 
Index: doc/supplements/i960/Makefile
===================================================================
--- doc/supplements/i960/Makefile	(revision 3b50aaf2aa6dcb15591829665d68fbdb20c20543)
+++ doc/supplements/i960/Makefile	(revision 3754660c97aa79ac7cde2f11e1f5c41e87224983)
@@ -7,7 +7,9 @@
 #
 
+PROJECT=i960
+DISTRIBUTION_LEVEL=support
+
 include ../Make.config
 
-PROJECT=i960
 REPLACE=../tools/word-replace
 
Index: doc/supplements/m68k/Makefile
===================================================================
--- doc/supplements/m68k/Makefile	(revision 3b50aaf2aa6dcb15591829665d68fbdb20c20543)
+++ doc/supplements/m68k/Makefile	(revision 3754660c97aa79ac7cde2f11e1f5c41e87224983)
@@ -7,7 +7,9 @@
 #
 
+PROJECT=m68k
+DISTRIBUTION_LEVEL=support
+
 include ../Make.config
 
-PROJECT=m68k
 REPLACE=../tools/word-replace
 
Index: doc/supplements/powerpc/Makefile
===================================================================
--- doc/supplements/powerpc/Makefile	(revision 3b50aaf2aa6dcb15591829665d68fbdb20c20543)
+++ doc/supplements/powerpc/Makefile	(revision 3754660c97aa79ac7cde2f11e1f5c41e87224983)
@@ -7,7 +7,9 @@
 #
 
+PROJECT=powerpc
+DISTRIBUTION_LEVEL=internal
+
 include ../Make.config
 
-PROJECT=powerpc
 REPLACE=../tools/word-replace
 
Index: doc/supplements/sparc/Makefile
===================================================================
--- doc/supplements/sparc/Makefile	(revision 3b50aaf2aa6dcb15591829665d68fbdb20c20543)
+++ doc/supplements/sparc/Makefile	(revision 3754660c97aa79ac7cde2f11e1f5c41e87224983)
@@ -7,7 +7,9 @@
 #
 
+PROJECT=sparc
+DISTRIBUTION_LEVEL=support
+
 include ../Make.config
 
-PROJECT=sparc
 REPLACE=../tools/word-replace
 
Index: doc/user/Makefile
===================================================================
--- doc/user/Makefile	(revision 3b50aaf2aa6dcb15591829665d68fbdb20c20543)
+++ doc/user/Makefile	(revision 3754660c97aa79ac7cde2f11e1f5c41e87224983)
@@ -7,7 +7,8 @@
 #
 
+PROJECT=c_user
+DISTRIBUTION_LEVEL=support
+
 include ../Make.config
-
-PROJECT=c_user
 
 all:  