Index: schedsim/shell/schedsim_smppriority_affinity/scenarios/cpus4_affinity_case1.scen
===================================================================
--- schedsim/shell/schedsim_smppriority_affinity/scenarios/cpus4_affinity_case1.scen	(revision a829f379b803660b77b52fe81460dedb2f945edc)
+++ schedsim/shell/schedsim_smppriority_affinity/scenarios/cpus4_affinity_case1.scen	(revision 4350081f85da91dd70cedde7f1fc086842b445f8)
@@ -3,8 +3,8 @@
 #
 rtems_init 4
-task_create smp1 4 -a 14
-task_create smp2 4 -a 14
-task_create smp3 4 -a  3
-task_create smp4 4 -a  3
+task_create smp1 4 -a 0xe
+task_create smp2 4 -a 0xe
+task_create smp3 4 -a 0x3
+task_create smp4 4 -a 0x3
 
 # GOAL: want 0x0a010004 - 0x0a010001 as heir and executings
Index: hedsim/shell/schedsim_smpsimple/main_dump_all_cpus.c
===================================================================
--- schedsim/shell/schedsim_smpsimple/main_dump_all_cpus.c	(revision a829f379b803660b77b52fe81460dedb2f945edc)
+++ 	(revision )
@@ -1,51 +1,0 @@
-/*
- *  COPYRIGHT (c) 1989-2013.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.com/license/LICENSE.
- */
-
-#include <newlib/getopt.h>
-#include <stdio.h>
-#include <stdlib.h>
-#include <string.h>
-#include <ctype.h>
-
-#include "shell.h"
-#include "rtems_sched.h"
-
-// #define __RTEMS_VIOLATE_KERNEL_VISIBILITY__
-#include <rtems.h>
-#include <rtems/score/percpu.h>
-#include <rtems/score/smp.h>
-#include <rtems/score/schedulerpriority.h>
-
-int main_dump_all_cpus(int argc, char **argv)
-{
-  uint32_t        cpu;
-  Thread_Control *h;
-  Thread_Control *i;
-  Thread_Control *e;
-
-  printf(
-    "=== CPU Status\n"
-    "          EXECUTING      /   HEIR             / SWITCH NEEDED\n"
-  );
-  for ( cpu=0 ; cpu < _SMP_Processor_count ; cpu++ ) {
-    e = _Per_CPU_Information[cpu].per_cpu.executing;
-    h = _Per_CPU_Information[cpu].per_cpu.heir;
-    printf(
-      "  CPU %d: 0x%08x @%3ld / 0x%08x @%3ld          %s\n",
-      cpu,
-      e->Object.id, (long) e->current_priority,
-      h->Object.id, (long) h->current_priority,
-      ((_Per_CPU_Information[cpu].per_cpu.dispatch_necessary) ?
-         "true" : "false")
-    );
-  }
-  printf( "=== End of Ready Set of Threads\n" );
-
-  return 0;
-}
Index: schedsim/shell/shared/main_dump_all_cpus.c
===================================================================
--- schedsim/shell/shared/main_dump_all_cpus.c	(revision 4350081f85da91dd70cedde7f1fc086842b445f8)
+++ schedsim/shell/shared/main_dump_all_cpus.c	(revision 4350081f85da91dd70cedde7f1fc086842b445f8)
@@ -0,0 +1,51 @@
+/*
+ *  COPYRIGHT (c) 1989-2013.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.rtems.com/license/LICENSE.
+ */
+
+#include <newlib/getopt.h>
+#include <stdio.h>
+#include <stdlib.h>
+#include <string.h>
+#include <ctype.h>
+
+#include "shell.h"
+#include "rtems_sched.h"
+
+// #define __RTEMS_VIOLATE_KERNEL_VISIBILITY__
+#include <rtems.h>
+#include <rtems/score/percpu.h>
+#include <rtems/score/smp.h>
+#include <rtems/score/schedulerpriority.h>
+
+int main_dump_all_cpus(int argc, char **argv)
+{
+  uint32_t        cpu;
+  Thread_Control *h;
+  Thread_Control *i;
+  Thread_Control *e;
+
+  printf(
+    "=== CPU Status\n"
+    "          EXECUTING      /   HEIR             / SWITCH NEEDED\n"
+  );
+  for ( cpu=0 ; cpu < _SMP_Processor_count ; cpu++ ) {
+    e = _Per_CPU_Information[cpu].per_cpu.executing;
+    h = _Per_CPU_Information[cpu].per_cpu.heir;
+    printf(
+      "  CPU %d: 0x%08x @%3ld / 0x%08x @%3ld          %s\n",
+      cpu,
+      e->Object.id, (long) e->current_priority,
+      h->Object.id, (long) h->current_priority,
+      ((_Per_CPU_Information[cpu].per_cpu.dispatch_necessary) ?
+         "true" : "false")
+    );
+  }
+  printf( "=== End of Ready Set of Threads\n" );
+
+  return 0;
+}