Index: c/src/lib/libbsp/arm/csb336/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/csb336/ChangeLog	(revision 439d00cab323b64e3092ab16f604e05658c62691)
+++ c/src/lib/libbsp/arm/csb336/ChangeLog	(revision 04410917dedb55987960750a3874d97d7b6a2a3c)
@@ -1,2 +1,6 @@
+2010-04-30	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	* make/custom/csb336.cfg: Use VFP floating point model.
+
 2010-04-09	Thomas Doerfler <Thomas.Doerfler@embedded-brains.de>
 
Index: c/src/lib/libbsp/arm/csb336/make/custom/csb336.cfg
===================================================================
--- c/src/lib/libbsp/arm/csb336/make/custom/csb336.cfg	(revision 439d00cab323b64e3092ab16f604e05658c62691)
+++ c/src/lib/libbsp/arm/csb336/make/custom/csb336.cfg	(revision 04410917dedb55987960750a3874d97d7b6a2a3c)
@@ -12,5 +12,5 @@
 #  This contains the compiler options necessary to select the CPU model
 #  and (hopefully) optimize for it. 
-CPU_CFLAGS = -mcpu=arm920 -mstructure-size-boundary=8 
+CPU_CFLAGS = -mstructure-size-boundary=8 -mcpu=arm920 -mfpu=vfp -mfloat-abi=soft
 
 # optimize flag: typically -O2
Index: c/src/lib/libbsp/arm/csb337/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/csb337/ChangeLog	(revision 439d00cab323b64e3092ab16f604e05658c62691)
+++ c/src/lib/libbsp/arm/csb337/ChangeLog	(revision 04410917dedb55987960750a3874d97d7b6a2a3c)
@@ -1,2 +1,6 @@
+2010-04-30	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	* make/custom/csb337.cfg: Use VFP floating point model.
+
 2010-04-25	Joel Sherrill <joel.sherrilL@OARcorp.com>
 
Index: c/src/lib/libbsp/arm/csb337/make/custom/csb337.cfg
===================================================================
--- c/src/lib/libbsp/arm/csb337/make/custom/csb337.cfg	(revision 439d00cab323b64e3092ab16f604e05658c62691)
+++ c/src/lib/libbsp/arm/csb337/make/custom/csb337.cfg	(revision 04410917dedb55987960750a3874d97d7b6a2a3c)
@@ -12,5 +12,5 @@
 #  This contains the compiler options necessary to select the CPU model
 #  and (hopefully) optimize for it. 
-CPU_CFLAGS = -mcpu=arm920 -mstructure-size-boundary=8 
+CPU_CFLAGS = -mstructure-size-boundary=8 -mcpu=arm920 -mfpu=vfp -mfloat-abi=soft
 
 # optimize flag: typically -O2
Index: c/src/lib/libbsp/arm/edb7312/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/edb7312/ChangeLog	(revision 439d00cab323b64e3092ab16f604e05658c62691)
+++ c/src/lib/libbsp/arm/edb7312/ChangeLog	(revision 04410917dedb55987960750a3874d97d7b6a2a3c)
@@ -1,2 +1,6 @@
+2010-04-30	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	* make/custom/edb7312.cfg: Use VFP floating point model.
+
 2010-04-10	Ralf CorsÃ©pius <ralf.corsepius@rtems.org>
 
Index: c/src/lib/libbsp/arm/edb7312/make/custom/edb7312.cfg
===================================================================
--- c/src/lib/libbsp/arm/edb7312/make/custom/edb7312.cfg	(revision 439d00cab323b64e3092ab16f604e05658c62691)
+++ c/src/lib/libbsp/arm/edb7312/make/custom/edb7312.cfg	(revision 04410917dedb55987960750a3874d97d7b6a2a3c)
@@ -13,5 +13,5 @@
 #  and (hopefully) optimize for it. 
 #
-CPU_CFLAGS = -mcpu=$(RTEMS_CPU_MODEL) -mstructure-size-boundary=8
+CPU_CFLAGS = -mstructure-size-boundary=8 -mcpu=$(RTEMS_CPU_MODEL) -mfpu=vfp -mfloat-abi=soft
 
 # optimize flag: typically -O2
Index: c/src/lib/libbsp/arm/gba/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/gba/ChangeLog	(revision 439d00cab323b64e3092ab16f604e05658c62691)
+++ c/src/lib/libbsp/arm/gba/ChangeLog	(revision 04410917dedb55987960750a3874d97d7b6a2a3c)
@@ -1,2 +1,6 @@
+2010-04-30	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	* make/custom/gba.cfg: Use VFP floating point model.
+
 2010-04-09	Thomas Doerfler <Thomas.Doerfler@embedded-brains.de>
 
Index: c/src/lib/libbsp/arm/gba/make/custom/gba.cfg
===================================================================
--- c/src/lib/libbsp/arm/gba/make/custom/gba.cfg	(revision 439d00cab323b64e3092ab16f604e05658c62691)
+++ c/src/lib/libbsp/arm/gba/make/custom/gba.cfg	(revision 04410917dedb55987960750a3874d97d7b6a2a3c)
@@ -14,5 +14,5 @@
 #
 #CPU_CFLAGS = -mcpu=$(RTEMS_CPU_MODEL) -mthumb -mthumb-interwork -msoft-float -mstructure-size-boundary=8
-CPU_CFLAGS = -mcpu=$(RTEMS_CPU_MODEL) -msoft-float -mstructure-size-boundary=8
+CPU_CFLAGS = -mstructure-size-boundary=8 -mcpu=$(RTEMS_CPU_MODEL) -mfpu=vfp -mfloat-abi=soft
 
 # optimize flag: typically -O2
Index: c/src/lib/libbsp/arm/gdbarmsim/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/gdbarmsim/ChangeLog	(revision 439d00cab323b64e3092ab16f604e05658c62691)
+++ c/src/lib/libbsp/arm/gdbarmsim/ChangeLog	(revision 04410917dedb55987960750a3874d97d7b6a2a3c)
@@ -1,2 +1,6 @@
+2010-04-30	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	* make/custom/arm920.cfg: Use VFP floating point model.
+
 2010-04-07	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/arm/gdbarmsim/make/custom/arm920.cfg
===================================================================
--- c/src/lib/libbsp/arm/gdbarmsim/make/custom/arm920.cfg	(revision 439d00cab323b64e3092ab16f604e05658c62691)
+++ c/src/lib/libbsp/arm/gdbarmsim/make/custom/arm920.cfg	(revision 04410917dedb55987960750a3874d97d7b6a2a3c)
@@ -13,5 +13,5 @@
 #  and (hopefully) optimize for it. 
 # CPU_CFLAGS = -mcpu=arm920 -mstructure-size-boundary=8 
-CPU_CFLAGS = -mcpu=arm920
+CPU_CFLAGS = -mcpu=arm920 -mfloat-abi=soft -mfpu=vfp
 
 # optimize flag: typically -O2
Index: c/src/lib/libbsp/arm/gp32/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/gp32/ChangeLog	(revision 439d00cab323b64e3092ab16f604e05658c62691)
+++ c/src/lib/libbsp/arm/gp32/ChangeLog	(revision 04410917dedb55987960750a3874d97d7b6a2a3c)
@@ -1,2 +1,6 @@
+2010-04-30	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	* make/custom/gp32.cfg: Use VFP floating point model.
+
 2010-04-25	Joel Sherrill <joel.sherrilL@OARcorp.com>
 
Index: c/src/lib/libbsp/arm/gp32/make/custom/gp32.cfg
===================================================================
--- c/src/lib/libbsp/arm/gp32/make/custom/gp32.cfg	(revision 439d00cab323b64e3092ab16f604e05658c62691)
+++ c/src/lib/libbsp/arm/gp32/make/custom/gp32.cfg	(revision 04410917dedb55987960750a3874d97d7b6a2a3c)
@@ -13,5 +13,5 @@
 #  and (hopefully) optimize for it. 
 #
-CPU_CFLAGS = -mcpu=arm920t -mstructure-size-boundary=32 -DCPU_S3C2400
+CPU_CFLAGS = -mstructure-size-boundary=32 -mcpu=arm920t -mfpu=vfp -mfloat-abi=soft -DCPU_S3C2400
 
 # optimize flag: typically -O2
Index: c/src/lib/libbsp/arm/gumstix/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/gumstix/ChangeLog	(revision 439d00cab323b64e3092ab16f604e05658c62691)
+++ c/src/lib/libbsp/arm/gumstix/ChangeLog	(revision 04410917dedb55987960750a3874d97d7b6a2a3c)
@@ -1,2 +1,6 @@
+2010-04-30	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	* make/custom/gumstix.cfg: Use VFP floating point model.
+
 2010-04-09	Thomas Doerfler <Thomas.Doerfler@embedded-brains.de>
 
Index: c/src/lib/libbsp/arm/gumstix/make/custom/gumstix.cfg
===================================================================
--- c/src/lib/libbsp/arm/gumstix/make/custom/gumstix.cfg	(revision 439d00cab323b64e3092ab16f604e05658c62691)
+++ c/src/lib/libbsp/arm/gumstix/make/custom/gumstix.cfg	(revision 04410917dedb55987960750a3874d97d7b6a2a3c)
@@ -12,5 +12,5 @@
 #  This contains the compiler options necessary to select the CPU model
 #  and (hopefully) optimize for it. 
-CPU_CFLAGS = -mcpu=xscale -mstructure-size-boundary=8 
+CPU_CFLAGS = -mstructure-size-boundary=8 -mcpu=xscale -mfpu=vfp -mfloat-abi=soft
 
 # optimize flag: typically -O2
Index: c/src/lib/libbsp/arm/lpc32xx/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/lpc32xx/ChangeLog	(revision 439d00cab323b64e3092ab16f604e05658c62691)
+++ c/src/lib/libbsp/arm/lpc32xx/ChangeLog	(revision 04410917dedb55987960750a3874d97d7b6a2a3c)
@@ -1,2 +1,6 @@
+2010-04-30	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	* make/custom/lpc32xx_phycore.cfg: Use VFP floating point model.
+
 2010-04-09	Sebastian Huber <sebastian.huber@embedded-brains.de>
 
Index: c/src/lib/libbsp/arm/lpc32xx/make/custom/lpc32xx_phycore.cfg
===================================================================
--- c/src/lib/libbsp/arm/lpc32xx/make/custom/lpc32xx_phycore.cfg	(revision 439d00cab323b64e3092ab16f604e05658c62691)
+++ c/src/lib/libbsp/arm/lpc32xx/make/custom/lpc32xx_phycore.cfg	(revision 04410917dedb55987960750a3874d97d7b6a2a3c)
@@ -9,5 +9,5 @@
 RTEMS_CPU = arm
 
-CPU_CFLAGS = -mcpu=arm926ej-s -mthumb -mstructure-size-boundary=8
+CPU_CFLAGS = -mstructure-size-boundary=8 -mcpu=arm926ej-s -mfpu=vfp -mfloat-abi=soft -mthumb
 
 CFLAGS_OPTIMIZE_V = -Os -g
Index: c/src/lib/libbsp/arm/nds/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/nds/ChangeLog	(revision 439d00cab323b64e3092ab16f604e05658c62691)
+++ c/src/lib/libbsp/arm/nds/ChangeLog	(revision 04410917dedb55987960750a3874d97d7b6a2a3c)
@@ -1,2 +1,6 @@
+2010-04-30	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	* make/custom/nds.cfg: Use VFP floating point model.
+
 2010-04-25	Joel Sherrill <joel.sherrilL@OARcorp.com>
 
Index: c/src/lib/libbsp/arm/nds/make/custom/nds.cfg
===================================================================
--- c/src/lib/libbsp/arm/nds/make/custom/nds.cfg	(revision 439d00cab323b64e3092ab16f604e05658c62691)
+++ c/src/lib/libbsp/arm/nds/make/custom/nds.cfg	(revision 04410917dedb55987960750a3874d97d7b6a2a3c)
@@ -13,5 +13,5 @@
 #  and (hopefully) optimize for it.
 #
-CPU_CFLAGS = -mcpu=$(RTEMS_CPU_MODEL) -msoft-float -mstructure-size-boundary=8
+CPU_CFLAGS = -mstructure-size-boundary=8 -mcpu=$(RTEMS_CPU_MODEL) -mfpu=vfp -mfloat-abi=soft
 # CPU_CFLAGS += -mthumb-interwork ## -D __THUMB_INTERWORK__ -mthumb
 
Index: c/src/lib/libbsp/arm/rtl22xx/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/rtl22xx/ChangeLog	(revision 439d00cab323b64e3092ab16f604e05658c62691)
+++ c/src/lib/libbsp/arm/rtl22xx/ChangeLog	(revision 04410917dedb55987960750a3874d97d7b6a2a3c)
@@ -1,2 +1,6 @@
+2010-04-30	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	* make/custom/rtl22xx.cfg: Use VFP floating point model.
+
 2010-04-09	Thomas Doerfler <Thomas.Doerfler@embedded-brains.de>
 
Index: c/src/lib/libbsp/arm/rtl22xx/make/custom/rtl22xx.cfg
===================================================================
--- c/src/lib/libbsp/arm/rtl22xx/make/custom/rtl22xx.cfg	(revision 439d00cab323b64e3092ab16f604e05658c62691)
+++ c/src/lib/libbsp/arm/rtl22xx/make/custom/rtl22xx.cfg	(revision 04410917dedb55987960750a3874d97d7b6a2a3c)
@@ -13,5 +13,5 @@
 #  and (hopefully) optimize for it. 
 #
-CPU_CFLAGS = -mcpu=arm7tdmi -mstructure-size-boundary=8 -mapcs-frame
+CPU_CFLAGS = -mstructure-size-boundary=8 -mcpu=arm7tdmi -mfpu=vfp -mfloat-abi=soft -mapcs-frame
 
 # optimize flag: typically -0, could use -O4 or -fast
Index: c/src/lib/libbsp/arm/smdk2410/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/smdk2410/ChangeLog	(revision 439d00cab323b64e3092ab16f604e05658c62691)
+++ c/src/lib/libbsp/arm/smdk2410/ChangeLog	(revision 04410917dedb55987960750a3874d97d7b6a2a3c)
@@ -1,2 +1,6 @@
+2010-04-30	Sebastian Huber <sebastian.huber@embedded-brains.de>
+
+	* make/custom/smdk2410.cfg: Use VFP floating point model.
+
 2010-04-09	Thomas Doerfler <Thomas.Doerfler@embedded-brains.de>
 
Index: c/src/lib/libbsp/arm/smdk2410/make/custom/smdk2410.cfg
===================================================================
--- c/src/lib/libbsp/arm/smdk2410/make/custom/smdk2410.cfg	(revision 439d00cab323b64e3092ab16f604e05658c62691)
+++ c/src/lib/libbsp/arm/smdk2410/make/custom/smdk2410.cfg	(revision 04410917dedb55987960750a3874d97d7b6a2a3c)
@@ -12,5 +12,5 @@
 #  This contains the compiler options necessary to select the CPU model
 #  and (hopefully) optimize for it.
-CPU_CFLAGS = -mcpu=arm920t -DCPU_S3C2410 -mstructure-size-boundary=32
+CPU_CFLAGS = -mstructure-size-boundary=32 -mcpu=arm920t -mfpu=vfp -mfloat-abi=soft -DCPU_S3C2410
 
 # optimize flag: typically -O2