Index: contrib/crossrpms/rtems4.9/arm/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/arm/gcc-sources.add	(revision f26747e61b958974f9ee3858f24ac480def2d162)
+++ contrib/crossrpms/rtems4.9/arm/gcc-sources.add	(revision 4419987ad5e195f8434b663bd1ca0cec162d70b0)
@@ -1,5 +1,5 @@
 %if "%{gcc_version}" == "4.2.3"
 Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		gcc-core-4.2.3-rtems4.9-20080202.diff
+Patch0:		gcc-core-4.2.3-rtems4.9-20080205.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.9/avr/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/avr/gcc-sources.add	(revision f26747e61b958974f9ee3858f24ac480def2d162)
+++ contrib/crossrpms/rtems4.9/avr/gcc-sources.add	(revision 4419987ad5e195f8434b663bd1ca0cec162d70b0)
@@ -5,5 +5,5 @@
 %if "%{gcc_version}" == "4.2.3"
 Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		gcc-core-4.2.3-rtems4.9-20080202.diff
+Patch0:		gcc-core-4.2.3-rtems4.9-20080205.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.9/bfin/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/bfin/gcc-sources.add	(revision f26747e61b958974f9ee3858f24ac480def2d162)
+++ contrib/crossrpms/rtems4.9/bfin/gcc-sources.add	(revision 4419987ad5e195f8434b663bd1ca0cec162d70b0)
@@ -1,5 +1,5 @@
 %if "%{gcc_version}" == "4.2.3"
 Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		gcc-core-4.2.3-rtems4.9-20080202.diff
+Patch0:		gcc-core-4.2.3-rtems4.9-20080205.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.9/h8300/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/h8300/gcc-sources.add	(revision f26747e61b958974f9ee3858f24ac480def2d162)
+++ contrib/crossrpms/rtems4.9/h8300/gcc-sources.add	(revision 4419987ad5e195f8434b663bd1ca0cec162d70b0)
@@ -1,5 +1,5 @@
 %if "%{gcc_version}" == "4.2.3"
 Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		gcc-core-4.2.3-rtems4.9-20080202.diff
+Patch0:		gcc-core-4.2.3-rtems4.9-20080205.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.9/i386/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/i386/gcc-sources.add	(revision f26747e61b958974f9ee3858f24ac480def2d162)
+++ contrib/crossrpms/rtems4.9/i386/gcc-sources.add	(revision 4419987ad5e195f8434b663bd1ca0cec162d70b0)
@@ -1,5 +1,5 @@
 %if "%{gcc_version}" == "4.2.3"
 Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		gcc-core-4.2.3-rtems4.9-20080202.diff
+Patch0:		gcc-core-4.2.3-rtems4.9-20080205.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.9/m68k/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/m68k/gcc-sources.add	(revision f26747e61b958974f9ee3858f24ac480def2d162)
+++ contrib/crossrpms/rtems4.9/m68k/gcc-sources.add	(revision 4419987ad5e195f8434b663bd1ca0cec162d70b0)
@@ -1,5 +1,5 @@
 %if "%{gcc_version}" == "4.2.3"
 Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		gcc-core-4.2.3-rtems4.9-20080202.diff
+Patch0:		gcc-core-4.2.3-rtems4.9-20080205.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.9/mips/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/mips/gcc-sources.add	(revision f26747e61b958974f9ee3858f24ac480def2d162)
+++ contrib/crossrpms/rtems4.9/mips/gcc-sources.add	(revision 4419987ad5e195f8434b663bd1ca0cec162d70b0)
@@ -1,5 +1,5 @@
 %if "%{gcc_version}" == "4.2.3"
 Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		gcc-core-4.2.3-rtems4.9-20080202.diff
+Patch0:		gcc-core-4.2.3-rtems4.9-20080205.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.9/powerpc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/powerpc/gcc-sources.add	(revision f26747e61b958974f9ee3858f24ac480def2d162)
+++ contrib/crossrpms/rtems4.9/powerpc/gcc-sources.add	(revision 4419987ad5e195f8434b663bd1ca0cec162d70b0)
@@ -1,5 +1,5 @@
 %if "%{gcc_version}" == "4.2.3"
 Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		gcc-core-4.2.3-rtems4.9-20080202.diff
+Patch0:		gcc-core-4.2.3-rtems4.9-20080205.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.9/sh/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/sh/gcc-sources.add	(revision f26747e61b958974f9ee3858f24ac480def2d162)
+++ contrib/crossrpms/rtems4.9/sh/gcc-sources.add	(revision 4419987ad5e195f8434b663bd1ca0cec162d70b0)
@@ -1,5 +1,5 @@
 %if "%{gcc_version}" == "4.2.3"
 Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		gcc-core-4.2.3-rtems4.9-20080202.diff
+Patch0:		gcc-core-4.2.3-rtems4.9-20080205.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.9/sparc/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/sparc/gcc-sources.add	(revision f26747e61b958974f9ee3858f24ac480def2d162)
+++ contrib/crossrpms/rtems4.9/sparc/gcc-sources.add	(revision 4419987ad5e195f8434b663bd1ca0cec162d70b0)
@@ -1,5 +1,5 @@
 %if "%{gcc_version}" == "4.2.3"
 Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		gcc-core-4.2.3-rtems4.9-20080202.diff
+Patch0:		gcc-core-4.2.3-rtems4.9-20080205.diff
 %endif
 %{?_without_sources:NoSource:	0}
Index: contrib/crossrpms/rtems4.9/tic4x/gcc-sources.add
===================================================================
--- contrib/crossrpms/rtems4.9/tic4x/gcc-sources.add	(revision f26747e61b958974f9ee3858f24ac480def2d162)
+++ contrib/crossrpms/rtems4.9/tic4x/gcc-sources.add	(revision 4419987ad5e195f8434b663bd1ca0cec162d70b0)
@@ -5,5 +5,5 @@
 %if "%{gcc_version}" == "4.2.3"
 Source0:	ftp://gcc.gnu.org/pub/gcc/%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		gcc-core-4.2.3-rtems4.9-20080202.diff
+Patch0:		gcc-core-4.2.3-rtems4.9-20080205.diff
 %endif
 %{?_without_sources:NoSource:	0}