Index: c/src/lib/libbsp/powerpc/mvme5500/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/mvme5500/ChangeLog	(revision 00d8424e98b2ba88ef2b9aee550b75add473c5bf)
+++ c/src/lib/libbsp/powerpc/mvme5500/ChangeLog	(revision 4953659b06008470cf46b2e45dccb48b8a343802)
@@ -1,2 +1,8 @@
+2005-04-15      Jennifer Averett <jennifer.averett@oarcorp.com>
+
+        PR 779/bsp
+        * irq/irq.c, irq/irq.h, irq/irq_init.c, network/GT64260eth.c: add
+        parameter to new exception interrupt handlers in powerpc bsps
+
 2005-04-15      Jennifer Averett <jennifer.averett@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/mvme5500/irq/irq.c
===================================================================
--- c/src/lib/libbsp/powerpc/mvme5500/irq/irq.c	(revision 00d8424e98b2ba88ef2b9aee550b75add473c5bf)
+++ c/src/lib/libbsp/powerpc/mvme5500/irq/irq.c	(revision 4953659b06008470cf46b2e45dccb48b8a343802)
@@ -113,5 +113,5 @@
         /* call the necessary interrupt handlers */
         if (rtems_hdl_tbl[irqNum].hdl != default_rtems_entry.hdl)
-	   rtems_hdl_tbl[irqNum].hdl();
+	   rtems_hdl_tbl[irqNum].hdl(rtems_hdl_tbl[irqNum].handle);
         else
 	   gpp_int_error= bitNum; /*GPP interrupt bitNum not connected */
@@ -137,5 +137,5 @@
         /* call the necessary interrupt handlers */
         if (rtems_hdl_tbl[irqNum].hdl != default_rtems_entry.hdl)
-	   rtems_hdl_tbl[irqNum].hdl();
+	   rtems_hdl_tbl[irqNum].hdl(rtems_hdl_tbl[irqNum].handle);
         else
 	   gpp_int_error= bitNum+8; /*GPP interrupt bitNum not connected */
@@ -160,5 +160,5 @@
         /* call the necessary interrupt handlers */
         if (rtems_hdl_tbl[irqNum].hdl != default_rtems_entry.hdl)
-	    rtems_hdl_tbl[irqNum].hdl();
+	    rtems_hdl_tbl[irqNum].hdl(rtems_hdl_tbl[irqNum].handle);
         else
 	   gpp_int_error= bitNum+16; /*GPP interrupt bitNum not connected */
@@ -184,5 +184,5 @@
         /* call the necessary interrupt handlers */
         if (rtems_hdl_tbl[irqNum].hdl != default_rtems_entry.hdl)
-	    rtems_hdl_tbl[irqNum].hdl();
+	    rtems_hdl_tbl[irqNum].hdl(rtems_hdl_tbl[irqNum].handle);
         else
 	   gpp_int_error= bitNum+24; /*GPP interrupt bitNum not connected */
@@ -456,5 +456,5 @@
     _CPU_MSR_SET(new_msr);
     
-    rtems_hdl_tbl[BSP_DECREMENTER].hdl();
+    rtems_hdl_tbl[BSP_DECREMENTER].hdl(rtems_hdl_tbl[BSP_DECREMENTER].handle);
 
     _CPU_MSR_SET(msr);
@@ -507,5 +507,5 @@
       new_msr = msr | MSR_EE;
       _CPU_MSR_SET(new_msr);
-      rtems_hdl_tbl[irq].hdl();
+      rtems_hdl_tbl[irq].hdl(rtems_hdl_tbl[irq].handle);
       _CPU_MSR_SET(msr);
       break;
Index: c/src/lib/libbsp/powerpc/mvme5500/irq/irq.h
===================================================================
--- c/src/lib/libbsp/powerpc/mvme5500/irq/irq.h	(revision 00d8424e98b2ba88ef2b9aee550b75add473c5bf)
+++ c/src/lib/libbsp/powerpc/mvme5500/irq/irq.h	(revision 4953659b06008470cf46b2e45dccb48b8a343802)
@@ -155,5 +155,6 @@
 struct 	__rtems_irq_connect_data__;	/* forward declaratiuon */
 
-typedef void (*rtems_irq_hdl)		(void);
+typedef void *rtems_irq_hdl_param;
+typedef void (*rtems_irq_hdl)		(rtems_irq_hdl_param);
 typedef void (*rtems_irq_ack)		(void);
 typedef void (*rtems_irq_enable)	(const struct __rtems_irq_connect_data__*);
@@ -170,4 +171,8 @@
        */
       rtems_irq_hdl	   	hdl;
+     /*
+      * Handler handle to store private data
+      */
+      rtems_irq_hdl_param               handle;
       /*
        * function for enabling interrupts at device level (ONLY!).
Index: c/src/lib/libbsp/powerpc/mvme5500/irq/irq_init.c
===================================================================
--- c/src/lib/libbsp/powerpc/mvme5500/irq/irq_init.c	(revision 00d8424e98b2ba88ef2b9aee550b75add473c5bf)
+++ c/src/lib/libbsp/powerpc/mvme5500/irq/irq_init.c	(revision 4953659b06008470cf46b2e45dccb48b8a343802)
@@ -48,6 +48,6 @@
 static rtems_irq_global_settings     	initial_config;
 static rtems_irq_connect_data     	defaultIrq = {
-  /* vectorIdex,	 hdl		, on		, off		, isOn */
-  0, 			 nop_func	, nop_func	, nop_func	, not_connected
+  /* vectorIdex,	 hdl		, handle	, on		, off		, isOn */
+  0, 			 nop_func	, NULL		, nop_func	, nop_func	, not_connected
 };
 
Index: c/src/lib/libbsp/powerpc/mvme5500/network/GT64260eth.c
===================================================================
--- c/src/lib/libbsp/powerpc/mvme5500/network/GT64260eth.c	(revision 00d8424e98b2ba88ef2b9aee550b75add473c5bf)
+++ c/src/lib/libbsp/powerpc/mvme5500/network/GT64260eth.c	(revision 4953659b06008470cf46b2e45dccb48b8a343802)
@@ -223,4 +223,5 @@
 	BSP_MAIN_ETH0_IRQ,
 	(rtems_irq_hdl) GT64260eth_isr,
+        NULL,
 	(rtems_irq_enable) GT64260eth_irq_on,
 	(rtems_irq_disable) GT64260eth_irq_off,